from django.db import models
from django.utils.translation import gettext_lazy as _

from users.imports.db import BaseDBModel as Parent


class Role(Parent):
    title = models.CharField(
        verbose_name=_('Title'),
        max_length=255,
        blank=False,
        null=False,
        db_index=True,
    )

    def __str__(self):
        return f'{self.title}'

    class Meta:
        verbose_name = _('Role')
        verbose_name_plural = _('Roles')
